> For the complete documentation index, see [llms.txt](https://docs.syntho.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.syntho.ai/syntho-api/syntho-rest-api/generators.md).

# Generators

## GET /api/v1/generators/{column\_id}/supported\_types/

> Supported generators for column

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SupportedGeneratorTypes":{"properties":{"Mockers":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Mockers"},"Mask":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Mask"},"Calculated_column":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Calculated Column"},"Dynamic":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Dynamic"},"Duplicate":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Duplicate"},"Exclude":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Exclude"},"Hash":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Hash"},"Generate":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Generate"},"Shuffle":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Shuffle"}},"title":"SupportedGeneratorTypes","type":"object"},"SupportedGeneratorType":{"properties":{"display_name":{"title":"Display Name","type":"string"},"options":{"$ref":"#/components/schemas/GeneratorTypeOptions"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/GeneratorTypeField"},"title":"Fields","type":"object"}},"required":["display_name","options","fields"],"title":"SupportedGeneratorType","type":"object"},"GeneratorTypeOptions":{"properties":{"text":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Text"},"output":{"items":{"$ref":"#/components/schemas/DTypes"},"title":"Output","type":"array"},"suggested":{"anyOf":[{"type":"object"},{"type":"null"}],"default":null,"title":"Suggested"}},"required":["output"],"title":"GeneratorTypeOptions","type":"object"},"DTypes":{"enum":["categorical","continuous","discrete","datetime","bytes","bool","uuid","json","xml","geo","sets","unknown"],"title":"DTypes","type":"string"},"GeneratorTypeField":{"properties":{"type":{"anyOf":[{"type":"string"},{"items":{},"type":"array"},{"type":"object"}],"title":"Type"},"default":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"},{"items":{},"type":"array"}],"title":"Default"},"max_length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Max Length"},"read_only":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Read Only"}},"required":["type","default"],"title":"GeneratorTypeField","type":"object"}}},"paths":{"/api/v1/generators/{column_id}/supported_types/":{"get":{"operationId":"generators_supported_types_for_column","description":"Supported generators for column","parameters":[{"in":"path","name":"column_id","schema":{"type":"string"},"required":true}],"tags":["Generators"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportedGeneratorTypes"}}},"description":"Success: Supported generators"},"503":{"description":"Message: unable to fetch engine from external service"}}}}}}
```

## GET /api/v1/generators/supported\_types/

> Supported generators

```json
{"openapi":"3.0.3","info":{"title":"Syntho Backend API","version":"1.0.0 (v1)"},"servers":[{"url":"/"}],"security":[{"authentication":[]},{"OIDC":[]}],"components":{"securitySchemes":{"authentication":{"type":"apiKey","in":"cookie","name":"sessionid","description":"Log in using the <a href='/api/playground/#/Auth/auth_create'>POST /api/v1/auth/</a> endpoint"},"OIDC":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"SupportedGeneratorTypes":{"properties":{"Mockers":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Mockers"},"Mask":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Mask"},"Calculated_column":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Calculated Column"},"Dynamic":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Dynamic"},"Duplicate":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Duplicate"},"Exclude":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Exclude"},"Hash":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Hash"},"Generate":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Generate"},"Shuffle":{"anyOf":[{"additionalProperties":{"$ref":"#/components/schemas/SupportedGeneratorType"},"type":"object"},{"type":"null"}],"default":null,"title":"Shuffle"}},"title":"SupportedGeneratorTypes","type":"object"},"SupportedGeneratorType":{"properties":{"display_name":{"title":"Display Name","type":"string"},"options":{"$ref":"#/components/schemas/GeneratorTypeOptions"},"fields":{"additionalProperties":{"$ref":"#/components/schemas/GeneratorTypeField"},"title":"Fields","type":"object"}},"required":["display_name","options","fields"],"title":"SupportedGeneratorType","type":"object"},"GeneratorTypeOptions":{"properties":{"text":{"anyOf":[{"type":"string"},{"type":"null"}],"default":null,"title":"Text"},"output":{"items":{"$ref":"#/components/schemas/DTypes"},"title":"Output","type":"array"},"suggested":{"anyOf":[{"type":"object"},{"type":"null"}],"default":null,"title":"Suggested"}},"required":["output"],"title":"GeneratorTypeOptions","type":"object"},"DTypes":{"enum":["categorical","continuous","discrete","datetime","bytes","bool","uuid","json","xml","geo","sets","unknown"],"title":"DTypes","type":"string"},"GeneratorTypeField":{"properties":{"type":{"anyOf":[{"type":"string"},{"items":{},"type":"array"},{"type":"object"}],"title":"Type"},"default":{"anyOf":[{"type":"string"},{"type":"integer"},{"type":"number"},{"type":"boolean"},{"type":"object"},{"items":{},"type":"array"}],"title":"Default"},"max_length":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":null,"title":"Max Length"},"read_only":{"anyOf":[{"type":"boolean"},{"type":"null"}],"default":false,"title":"Read Only"}},"required":["type","default"],"title":"GeneratorTypeField","type":"object"}}},"paths":{"/api/v1/generators/supported_types/":{"get":{"operationId":"generators_supported_types_retrieve","description":"Supported generators","tags":["Generators"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportedGeneratorTypes"}}},"description":"Success: Supported generators"},"503":{"description":"Message: unable to fetch engine from external service"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.syntho.ai/syntho-api/syntho-rest-api/generators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
